using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace GerbilManagerWebAPI.Migrations
{
    /// <inheritdoc />
    public partial class AddEnclosureCleaning : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "Capacity",
                table: "Enclosures",
                type: "integer",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "CleaningCycleDays",
                table: "Enclosures",
                type: "integer",
                nullable: true);

            migrationBuilder.AddColumn<DateOnly>(
                name: "LastCleanedDate",
                table: "Enclosures",
                type: "date",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "Size",
                table: "Enclosures",
                type: "text",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Capacity",
                table: "Enclosures");

            migrationBuilder.DropColumn(
                name: "CleaningCycleDays",
                table: "Enclosures");

            migrationBuilder.DropColumn(
                name: "LastCleanedDate",
                table: "Enclosures");

            migrationBuilder.DropColumn(
                name: "Size",
                table: "Enclosures");
        }
    }
}
